Support » Plugin: Podcast Player - Your Podcasting Companion » Latest Version 4.4.0 does not work

  • Resolved astevens93

    (@astevens93)


    Hi, just upgraded to Version 4.4.0 – just released, and it breaks podcast player on my site.

    I can no longer select a podcast episode or play. Tried on Edge, Firefox, Safari, Chrome – all the same.

    On the latest episode it does not allow you to play it (default episode selected).
    Then if you try and select another episode to play, it does not select it at all. It renders the plugin shortcake useless on the front end of the website.

    I’ve had to roll back to previous version 4.3.0 to get it working again.

    Thanks,

Viewing 15 replies - 1 through 15 (of 16 total)
  • Plugin Author vedathemes

    (@vedathemes)

    Hi there,

    Thanks for trying Podcast player.

    Could you just update again to version 4.4.0 and inform me your website URL. I will just check and quickly provide a solution.

    Thanks,

    Thread Starter astevens93

    (@astevens93)

    Hi there,

    Sure, I’ve just updated again to 4.4.0 and here is the URL:

    https://www.hcrfm.co.uk/on-air/listen-again/

    Thanks,

    Plugin Author vedathemes

    (@vedathemes)

    Hi there,

    I checked your website.

    Do you know if your website supports AJAX requests? ( Did podcast player “Load More” button work before this update? )

    I think it will take some time to resolve it. Till we resolve this issue, you can safely switch back to podcast player v4.3.0

    Thanks,

    Thread Starter astevens93

    (@astevens93)

    Thanks for taking a look, I have now reverted to the v4.3.0.

    Yes the website supports AJAX requests, sorry I am not sure about the ‘Load More’ button – is there somewhere I can test it on v4.3.0? The shortcode I am using does not have that button, or if you could point me in the right direction?

    I am using the Free version.

    Thanks,

    Thread Starter astevens93

    (@astevens93)

    Ah I see, thanks for the clarification!

    Just tried setting load limit to 10, and enabled load more button. Can confirm this works as expected in v.4.3.0.

    Moderator Steve Stern (sterndata)

    (@sterndata)

    Forum Moderator & Support Team Rep

    @vedathemes I’ve deleted your offer to login to your user’s site. While I know you have the best of intentions, it’s forum policy that you not ask users for admin or server access. Users on the forums aren’t your customers, they’re your open source collaborators, and requesting that kind of access can put you and them at high risk.

    If they are paying customers (such as people who bought a premium service/product from you) then by all means, direct them to your official customer support system. But in all other cases, you need to help them here on the forums.

    Thankfully are other ways to get information you need:

    You get the idea.

    We know volunteer support is not easy, and this guideline can feel needlessly restrictive. It’s actually there to protect you as much as end users. Should their site be hacked or have any issues after you accessed it, you could be held legally liable for damages. In addition, it’s difficult for end users to know the difference between helpful developers and people with malicious intentions. Because of that, we rely on plugin developers and long-standing volunteers (like you) to help us and uphold this particular guideline.

    When you help users here and in public, you also help the next person with the same problem. They’ll be able to read the debugging and solution and educate themselves.

    Plugin Author vedathemes

    (@vedathemes)

    @sterndata got your point. Thanks,

    @astevens93, I am sorry but we need to work to get things resolved. I will prepare a test version of podcast player. You just need to temporarily install the version on your website. After I collect required data from the test version, you can switch back to 4.3.0.

    I know its laborious process, however, I cannot reproduce the error you face on my system.

    Thanks for your patience.

    Thread Starter astevens93

    (@astevens93)

    That’s fine thank you @vedathemes . Will you be posting a link to download the test version here?

    Plugin Author vedathemes

    (@vedathemes)

    Yes. Will provide a link today.

    Thanks.

    Thread Starter astevens93

    (@astevens93)

    Thank you, I appreciate your prompt help on this situation.

    Plugin Author vedathemes

    (@vedathemes)

    Hi there,

    You can download first test version from https://www.dropbox.com/t/J1BAds1WPYMzAid2

    Kindly download and install on your website. Inform me after installation.

    Thanks,

    Thread Starter astevens93

    (@astevens93)

    Thanks – this is now installed

    Plugin Author vedathemes

    (@vedathemes)

    Hi,

    Are you using some sort of JS combine and caching plugin? Can you please reset JS combine and purge all cache?

    I think it should resolve the issue.

    Thanks,

    Plugin Author vedathemes

    (@vedathemes)

    Hi there,

    I think the issue should be resolved with this. If it is resolved, kindly delete the test version and install latest v4.4.0 from WordPress. Also, kindly purge cache and reset JS (as you did earlier) again.

    Inform me if you need any further help.

    Thanks,

    Thread Starter astevens93

    (@astevens93)

    Hi there, good news! Thanks for your support here, I turned of JS Minify / Combine in my caching plugin as you suggested and it now works as expected on v4.4.0.

    I have removed the test version now too.

    thanks again!

Viewing 15 replies - 1 through 15 (of 16 total)
  • The topic ‘Latest Version 4.4.0 does not work’ is closed to new replies.